libdv (1.0.0-11+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- Denis Kozadaev <denis@tambov.ru>  Sun, 10 Dec 2017 14:43:19 +0300

libdv (1.0.0-11) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Vcs-* fields created. 
  * debian/README.Debian created:
      - there is no 'E shlib-with-non-pic-code' in my local build. And
        'readelf -d' does not return a tag of type TEXTREL.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Tue, 19 Jul 2016 11:29:23 -0300

libdv (1.0.0-10) unstable; urgency=medium

  * QA upload.
  * Upload to sid. 

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 09 Jul 2016 17:00:13 -0300

libdv (1.0.0-9) experimental; urgency=medium

  * QA upload
  * debian/libdv4.symbols:
      - adjusts for * architecture 
  * debian/rules:
      - override_dh_makeshlibs added. To avoid Debian revision number in
        debian/libdv4.symbols file.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 09 Jul 2016 10:05:57 -0300

libdv (1.0.0-8) experimental; urgency=medium

  * QA upload.
  * debian/control:
      - set debhelper >= 9. Build-Depends field.
      - bump Standars-Version from 3.9.2 to 3.9.8
      - libdv4-dev field:
          - ${shlibs:Depends} in Depends field removed.
  * debian/copyright:
      - add my name to maintainers
  * debian/libdv4.symbols file created.
  * debian/rules:
      - hardening added.
      - override_dh_auto_configure:
          - LDFLAGS="$(LDFLAGS) -Wl,--as-needed" added 

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 08 Jul 2016 17:53:15 -0300

libdv (1.0.0-7) unstable; urgency=medium

  * Orphaning this

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Feb 2016 10:39:55 +0000

libdv (1.0.0-6) unstable; urgency=low

  * Revert "Link the documentation directory of all packages to libdv4's."
  * Purge old symlink /usr/share/doc/libdv-bin before installing new files.
    (Closes: #696071, #696167)

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Dec 2012 16:32:40 +0000

libdv (1.0.0-5) unstable; urgency=low

  * Link the documentation directory of all packages to libdv4's. This
    should close: #696071 (squeeze -> wheezy upgrade bug)

 -- Alessio Treglia <alessio@debian.org>  Sun, 16 Dec 2012 19:38:55 +0000

libdv (1.0.0-4) unstable; urgency=low

  * New maintainer. (Closes: #654649), thanks to Daniel Kobras
    for the great work.
  * Switch packaging to 3.0 (quilt) format plus DH 7.
  * Convert patches to quilt format.
  * Build with Multi-Arch support. (Closes: #650994)
  * Drop libc6-dev from -DEV's Depends field.
  * Get rid of .la files.
  * Disable the build of static libraries.
  * Remove debian/libdv-bin.links, it doesn't work.
  * Remove debian/README.source, it's now unneeded.
  * Update debian/copyright as per DEP-5.
  * YUV_420_USE_YV12 option affects the wrong encoding (Closes: #466142):
    - The build configuration option --with-pal-yuv=YV12 actually affects
      encoding of "NTSC", inconsistent with decoding. This option is not
      currently used in Debian but could affect those who rebuild it.
      Thanks to Ben Hutchings for report and patch.
  * Fix binary-control-field-duplicates-source
  * Fix small misspellings.
  * Fix hyphen-used-as-minus-sign.
  * Run wrap-and-sort -a -s.
  * Add watch file.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 09 Feb 2012 02:06:17 +0100

libdv (1.0.0-3) unstable; urgency=low

  * Added patches:
    + [10_hurd_ftbfs_fix] New.
      Add proper defines for two video1394-specific structs on GNU/Hurd
      to prevent build failure. Patch thanks to Pino Toscano.\
      Closes: #585718
    + [12_no_as_needed] New.
      Reference all required libs when building playdv. Patch thanks
      to Matthias Klose (via Ubuntu). Closes: #555173
  * debian/control: Revert bogus change from 1.0.0-2.1 NMU.
  * debian/control: Reflect section change from graphics to video.
  * debian/control: Demote oss-compat from Recommends to Suggests for
    libdv4 because encoding from OSS input is just a rarely used, optional
    feature. Closes: #579527
  * debian/control: Add Recommends on oss-compat for libdv-bin because
    OSS is playdv's only way to playback audio.
  * debian/control: Package complies with version 3.9.1 of Debian policy.
  * debian/README.source: Refer to dpatch documentation for source
    updates.
  * debian/rules: Empty dependency_libs line in libdv.la.

 -- Daniel Kobras <kobras@debian.org>  Sun, 17 Apr 2011 20:36:14 +0200

libdv (1.0.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change libdv4 from recommending oss-compat to linux-sound-base
    (Closes: #579527)

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Oct 2010 19:55:28 +0100

libdv (1.0.0-2) unstable; urgency=low

  * Most of this upload was prepared by Barry deFreese. Thanks!
  * Added patches:
    + [05_configure_gtk2] New.
      Tweak configure and configure.ac to build package with glib2.0
      and gtk2.0 libs. Closes: #516181
  * debian/compat: Declare debhelper compatibility level in separate file.
    Increase minimum version from 4 to 5.
  * debian/control: Change build-dependencies to build with gtk2 instead
    of gtk1.2.
  * debian/control: Lose versioned dependency on libsdl1.2-dev that worked
    around a bug in pre-historic SDL packages. Placates lintian.
  * debian/control: Replace obsolete x-dev build-dependency with
    x11proto-core-dev. Closes: #515380
  * debian/control: Update package description of libdv-bin to include
    names of supplied binaries. Patch thanks to Luca Capello.
    Closes: #397343
  * debian/control: Recommend pkg-config in libdv-dev. Closes: #413139
  * debian/control: Allow debhelper to substitute ${misc:Depends} on all
    packages.
  * debian/control: Replace deprecated ${Source-Version} with
    ${binary:Version}.
  * debian/control: Add Homepage field.
  * debian/control: Bump debhelper build-dependency to require at least
    version 5.0.0.
  * debian/control: Package complies with version 3.8.1 of Debian policy.
  * debian/rules: Do not ignore errors from "make clean".

 -- Daniel Kobras <kobras@debian.org>  Thu, 26 Mar 2009 20:16:57 +0100

libdv (1.0.0-1) unstable; urgency=low

  * New upstream version.
  * Removed patches:
    + [01_changelog_update_CVS]
    + [10_amd64_linkage_fix_CVS]
    + [10_inline_fixes_CVS]
    + [20_no_exec_stack_CVS]
    + [30_unload_memleak_fix_CVS]
    + [40_playdv_exit_fix_CVS]
    + [50_gcc41_asm_constraint_fixes_CVS]
      All of the above are part of the new upstream version.
  * debian/control: In Build-Depends, remove alternative dependencies on
    obsolete SDL and X packages.
  * debian/control: Complies with version 3.7.2 of Debian policy.
  * debian/libdv4.README.Debian: Document lack of position-independent code
    in i386 version of libdv's shared library as mandated by recent versions
    of Debian policy.

 -- Daniel Kobras <kobras@debian.org>  Tue, 26 Sep 2006 14:22:15 +0200

libdv (0.104-3) unstable; urgency=low

  * debian/control: In libdv4, downgrade recommendation of libdv-bin to a
    suggestion. Closes: #372612
  * debian/control: libdv4 recommends oss-compat. It can make use of OSS
    input for encoding. Decoding works fine without audio output available.
    Closes: #385015

 -- Daniel Kobras <kobras@debian.org>  Fri,  8 Sep 2006 15:34:29 +0200

libdv (0.104-2) unstable; urgency=low

  * Added patches:
    + [30_unload_memleak_fix_CVS] New, from upstream CVS.
      Fix memleak when dynamically unloading library.
    + [40_playdv_exit_fix_CVS] New, adapted from upstream CVS.
      Fix potential crash on exit from playdv.
    + [50_gcc41_asm_constraint_fixes_CVS]
      Fix breakage in asm routines when compiling with gcc 4.1.
      Closes: #358263
  * Updated patches:
    + [20_no_exec_stack_CVS]
      Added back a relevant hunk that I stripped from the upstream patch
      by mistake.

 -- Daniel Kobras <kobras@debian.org>  Thu, 23 Mar 2006 12:46:46 +0100

libdv (0.104-1) unstable; urgency=low

  * New upstream version. Closes: #298366
  * Picks up new libsdl1.2 version to complete various library
    transitions. Closes: #318237, #320882, #321549
  * Added patches:
    + [01_changelog_update_CVS] New, from upstream CVS.
      Add 0.104 changelog entry that is not part of the released 0.104
      tarball, so subsequent patches from upstream CVS can be applied
      without modification.
    + [10_amd64_linkage_fix_CVS] New, from upstream CVS.
      Fix linker compatibility problems in amd64 assembly.
    + [10_inline_fixes_CVS] New, from upstream CVS.
      Fix build problems when compiler does not honour the inline hint.
    + [20_no_exec_stack_CVS] New, from upstream CVS.
      Add linker magic so assembly functions do no longer require an
      executable stack.
  * Updated patches:
    + [10_zap_config_h]
      Extend to take care of amd64 optimisations.
  * debian/control: Complies with standards version 3.6.2.
  * debian/rules: Export overridden CFLAGS. Closes: #306488

 -- Daniel Kobras <kobras@debian.org>  Wed, 17 Aug 2005 17:23:18 +0200

libdv (0.103-2) unstable; urgency=low

  * debian/rules: Provide separate doc directory for libdv4-dev.
  * debian/libdv4-dev.links: No longer symlink doc dir to the one
    from libdv4.
  * debian/NEWS: Only install into libdv4-dev. Closes: #259694

 -- Daniel Kobras <kobras@debian.org>  Mon, 19 Jul 2004 12:19:44 +0200

libdv (0.103-1) unstable; urgency=low

  * New upstream version.
  * Removed patches:
    + [10_dvconnect_disable_swap] Merged upstream.
    + [10_no_gtk_deps] Merged upstream.
    + [10_fix_wide_format] Merged upstream.
  * debian/NEWS: Notify about removal of previously deprecated header
    file dv1394.h.
  * debian/control: Adjust build dependencies following the xlibs split.

 -- Daniel Kobras <kobras@debian.org>  Thu, 15 Jul 2004 17:53:16 +0200

libdv (0.102-4) unstable; urgency=low

  * Added patches:
    + [10_fix_wide_format] New.
      Fix detection of 16:9 (wide) format in non-SMPTE streams.
      Closes: #248660

 -- Daniel Kobras <kobras@debian.org>  Thu, 13 May 2004 17:51:59 +0200

libdv (0.102-3) unstable; urgency=low

  * Added patches:
    + [10_no_gtk_deps] New.
      Remove glib and gtk dependencies from the pkgconfig file.
      Closes: #245037

 -- Daniel Kobras <kobras@debian.org>  Wed, 21 Apr 2004 09:51:55 +0200

libdv (0.102-2) unstable; urgency=low

  * Upload to unstable.

 -- Daniel Kobras <kobras@debian.org>  Tue, 20 Apr 2004 09:34:20 +0200

libdv (0.102-1) experimental; urgency=low

  * New upstream version.
    + Bumps library soname because of binary incompatibility. Still
      source-level compatible, though.
    + New API functions dv_format_letterbox(), and dv_is_normal_speed().
  * debian/*: Rename library packages libdv2 -> libdv4, and
    libdv2-dev -> libdv4-dev, following the soname change.
  * debian/rules: Remove shlibs version as we're changing the package name
    anyway.

 -- Daniel Kobras <kobras@debian.org>  Sun, 28 Mar 2004 23:52:01 +0200

libdv (0.101-1) unstable; urgency=low

  * New upstream version.
  * Added patches:
    + [10_zap_config_h] New.
      Remove dependency of dv_types.h on config.h. Replace with standard
      guesses that will do for the scope of the Debian package.
      Closes: #199878
    + [11_move_config_h_to_apps] New.
      As a consequence of the above patch, a couple of source files now need
      to include config.h themselves.
    + [10_dvconnect_disable_swap] New.
      In dvconnect, keep all pages in resident memory if possible because
      swapping kills performance. Closes: #222498
  * debian/control: Remove leading "A" from short description.
  * debian/control: Bump standards version.
  * debian/control: Build depend on dpatch.
  * debian/copyright: Updated copyright assignments.
  * debian/libdv-bin.manpages: dvconnect.1 now available upstream, new man
    page dubdv.1.
  * debian/NEWS: Warn about dv1394.h update.
  * debian/rules: Bump shlibs to >= 0.101 as this version introduces new
    API functions.
  * debian/rules: Convert build system to dpatch.
  * debian/rules: Improved config.guess/config.sub backup logic.

 -- Daniel Kobras <kobras@debian.org>  Tue, 20 Jan 2004 00:13:07 +0100

libdv (0.99-3) unstable; urgency=low

  * debian/control: Oops. Priority for -dev and -bin package back to extra.

 -- Daniel Kobras <kobras@debian.org>  Sun, 13 Apr 2003 15:24:02 +0200

libdv (0.99-2) unstable; urgency=low

  * debian/control: Adjust priority to optional. Build depend on file.
  * configure: Change deplibs check to pass_all on mips and mipsel.
    Closes: #188682.

 -- Daniel Kobras <kobras@debian.org>  Sun, 13 Apr 2003 14:25:31 +0200

libdv (0.99-1) unstable; urgency=low

  * New upstream version
  * libdv/audio.c: Fix typo in audio emphasis handling. [From upstream CVS]
  * libdv/enc_output.c: Fix aaux header in encoder output. [From upstream CVS]
  * debian/rules: Add versioned shlibs dependency because of new audio
    sample calculator.
  * debian/rules: Drop debug from DEB_BUILD_OPTIONS, support noopt.
  * debian/rules: Supply configure with proper build target.
  * debian/control: Remove full stop from short description.
  * debian/control: Bump standards version.
  * debian/control: libdv2-dev now lives in section libdevel.
  * debian/*: New binary dvconnect.
  * debian/dvconnect.1: Quick man page for dvconnect.

 -- Daniel Kobras <kobras@debian.org>  Tue,  1 Apr 2003 16:58:18 +0200

libdv (0.98-6) unstable; urgency=low

  * Namespace cleanup:
  + libdv/*.c: Mark a batch of local symbols as static.
  + libdv/*.[hcS]: Prefix intra-lib symbols with _dv_.
  + encodedv/*.c: Honour internal name changes.

 -- Daniel Kobras <kobras@debian.org>  Tue, 10 Dec 2002 01:34:29 +0100

libdv (0.98-5) unstable; urgency=low

  * debian/control: Need to tighten debhelper build dep for dh_shlibdeps -L
    flag. Closes: #170993
  * debian/control: Complies with standards version 3.5.8.

 -- Daniel Kobras <kobras@debian.org>  Thu, 28 Nov 2002 10:02:20 +0100

libdv (0.98-4) unstable; urgency=low

  * configure.ac, */Makefile.am: Do not push any lib into LIBS. Define
    separate macros instead, and only add to the appropriate targets.
    Closes: #167098
  * configure.ac: While libdv pulls a types from libpopt, it does not
    reference any libpopt function. Adding -lpopt to REQUIRES_NOPKGCONFIG was
    nonsense therefore--it's a purely optional feature. (The dependency on
    libpopt-dev must be retained, however, because dv_types.h includes
    popt.h.)
  * Update auto-generated files because of the above.

 -- Daniel Kobras <kobras@debian.org>  Wed, 30 Oct 2002 18:41:48 +0100

libdv (0.98-3) unstable; urgency=low

  * ChangeLog, libdv/dv1394.h, libdv/encode.c, libdv/enc_audio_input.[hc]:
    Sync with upstream CVS as of 2002-10-27. Solely adds a more complete fix
    to the PAL overflow issue. The previously included change alone caused
    occiasional crashes still.
  * debian/README.Debian: YUY bug turned out to be an Xv bug really, that is
    now fixed. Nothing to document any longer, file removed.
  * debian/rules: Tell dh_shlibdeps to use generated libdv2 shlibs file.

 -- Daniel Kobras <kobras@debian.org>  Sun, 27 Oct 2002 14:11:58 +0100

libdv (0.98-2) unstable; urgency=low

  * libdv/dv_types.h: Fix potential overflow in audio buffer with PAL
    frames. (From upstream CVS.)

 -- Daniel Kobras <kobras@debian.org>  Sun, 11 Aug 2002 23:40:57 +0200

libdv (0.98-1) unstable; urgency=low

  * New upstream release.
  * Build a shared lib now--PIC issues seem to be resolved.
  * debian/control: Split into separate packages for runtime lib, devel
    files, and sample binaries. Name of the devel package now includes
    major version. Provides libdv-dev for compatibility. Suggest to move
    source package from devel to section graphics.
  * debian/copyright: Updated copyright entries. Rename encode to
    encodedv.
  * debian/rules: Move to debhelper v4. Honour package split. Build a
    shared lib now. Add support for 'debug' in DEB_BUILD_OPTIONS.
  * debian/README.Debian: Document YUY bug on some big-endian hardware.
    Remove obsolete comment about absence to shared libs.

 -- Daniel Kobras <kobras@debian.org>  Thu,  1 Aug 2002 10:23:20 +0200

libdv (0.9.5-3) unstable; urgency=low

  * libdv.pc.in: Remove obsolete dependencies on glib and gtk. Hack in
    library dependency on popt. Closes: #149901
  * debian/control: Depend on libpopt-dev.

 -- Daniel Kobras <kobras@debian.org>  Thu, 27 Jun 2002 11:02:56 +0200

libdv (0.9.5-2) unstable; urgency=low

  * dv.c: Tell C version of dv_macroblock_yuv() about additional arguments
    to YUY2 functions.
  * idct_248.c: Fix types in C version of fixed_multiply().
  * enc_input.c: Purge remaining glib types from C versions of f2b() and
    f2sb.
  * All of the above fix compile errors on non-x86. Closes: #142770

 -- Daniel Kobras <kobras@debian.org>  Sun, 14 Apr 2002 14:05:05 +0200

libdv (0.9.5-1) unstable; urgency=low

  * New upstream version.
    This version is supposed to also work as a shared lib, but let's
    keep the package static-only until woody is released, and we have
    time to properly test this change.

 -- Daniel Kobras <kobras@debian.org>  Sat, 13 Apr 2002 17:35:34 +0200

libdv (0.9-2) unstable; urgency=low

  * Rebuild with libsdl1.2debian. (No code changes necessary.)
  * Do not clobber upstream config.guess/config.sub.
  * Configure with explicit host and build architecture as suggested in
    autotools-dev README.
  * Added note to package description explaining why there is no shared
    version of the lib.
  * Increased standards version. 

 -- Daniel Kobras <kobras@debian.org>  Wed, 17 Oct 2001 14:12:46 +0200

libdv (0.9-1) unstable; urgency=low

  * New upstream version.
  * Include auto-generated dependencies in control (doh!). Closes: #103016
  * Always use latest autotools helpers.
  * Versioned build dependency on libsdl1.2-dev. Autobuilders would choke
    on earlier versions.

 -- Daniel Kobras <kobras@debian.org>  Tue, 31 Jul 2001 17:23:28 +0200

libdv (0.8-2) unstable; urgency=low

  * Fix compilation in non-asm mode. Closes: #96804

 -- Daniel Kobras <kobras@debian.org>  Wed,  9 May 2001 09:20:49 +0200

libdv (0.8-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Kobras <kobras@debian.org>  Fri,  4 May 2001 19:55:35 +0200

libdv (0.7-2) unstable; urgency=low

  * Some MMX code in encode.c wasn't wrapped in ARCH_X86 conditionals.
    Closes: #94521
  * Build with SDL support.

 -- Daniel Kobras <kobras@debian.org>  Fri, 20 Apr 2001 09:42:53 +0200

libdv (0.7-1) unstable; urgency=low

  * Initial Release. Closes: #89510
  * Renamed encode to encodedv.
  * Added man pages for playdv and encodedv.
  * Fixed bogus space in dv option string.
  * Fixed missing time.h include in headers.c.

 -- Daniel Kobras <kobras@debian.org>  Thu, 12 Apr 2001 20:48:56 +0200

